[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: XFree86 4.0.2 status



On Fri, Jan 12, 2001 at 10:18:53PM +0100, Christian T. Steigies wrote:
> It seems to work with the following packages installed (don't ask me in
> which order to install them, I downgraded from 4.0.2 to 3.3.6 until it
> worked):

> ii  xfonts-75dpi   3.3.6-2        75 dpi fonts for X
> ii  xfonts-base    3.3.6-2        standard fonts for X
> ii  xfonts-scalabl 3.3.6-2        scalable fonts for X

These are all arch: all packages, so they have to be either 3.3.6-2 or
4.0.2-1 on all architectures or on none. I guess that's probably not a
problem though?

Actually, hmm. Did you also manage to get xutils to build? The X4 versions
of the fonts seem to depend on that package.

> ii  xlib6          3.3.6-11potato shared libraries required by libc5 X clients
> ii  xserver-common 3.3.6-11potato files and utilities common to all X servers
> iF  xserver-fbdev  3.3.6-11potato X server for framebuffer-based graphics driv

xlib6 (the libc5 version of xlib6g) is apparently now a part of xfree86v3;
so at somepoint before release either that package will need to be built
for arm, or the few things that depend on it will need to be rebuilt with
xlib6g, I guess.

But anyway, I can keep all these around in woody for m68k (since they're
all arch: any packages), even while upgrading all of:

> ii  libxaw6        4.0.2-1        X Athena widget set library (version 6)
> ii  libxaw7        4.0.2-1        X Athena widget set library
> ii  xbase-clients  4.0.2-1        miscellaneous X clients
> ii  xdm            4.0.2-1        X display manager
> ii  xfree86-common 4.0.2-1        X Window System (XFree86) infrastructure
> ii  xfs            4.0.2-1        X font server
> ii  xlib6g         4.0.2-1        pseudopackage providing X libraries
> ii  xlibmesa3      4.0.2-1        XFree86 version of Mesa 3D graphics library
> ii  xlibs          4.0.2-1        X Window System client libraries
> ii  xnest          4.0.2-1        nested X server
> ii  xterm          4.0.2-1        X terminal emulator

It'll be a bit hacky, but it should work okay.

> So I can upload all but xserver-[common|fbdev] and nobody should get hurt?

I think so. Branden?

Cheers,
aj

-- 
Anthony Towns <aj@humbug.org.au> <http://azure.humbug.org.au/~aj/>
I don't speak for anyone save myself. GPG signed mail preferred.

     ``Thanks to all avid pokers out there''
                       -- linux.conf.au, 17-20 January 2001

Attachment: pgp1NLbY3fXWD.pgp
Description: PGP signature


Reply to: